Product

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData TypeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
elementNameThe name of a template. The element name is unique for a WABAs namespace.{{ELEMENT_NAME}}StringRequiredelementName (not more than 180 char.) Mandatory fields
languageCodeLanguage code for the template. Refer to all the language codes here.{{LANGUAGE_CODE}}StringOptionallanguageCode default value : en_US
contentThe body of the template.{{CONTENT}}StringRequiredcontent (not more than 1024 char.)
categoryThe category of your template.{{CATEGORY}}StringRequiredCategory Type: MARKETING UTILITY
verticalTEXT{{VARTICAL}}StringRequiredvertical (not more than 180 char.)
templateTypePRODUCT{{TEMPLATE_TYPE}}StringRequiredThe type of template: PRODUCT
exampleTemplate Example{{EXAMPLE}}StringRequired
enableSampleRequired for creating all types of templates{{ENABLE_SAMPLE}}true/falseOptionalif enableSample is true then exampleMedia
headerHeader of the template.{{HEADER}}StringOptional
footerFooter of the template. Character limit: 60.{{FOOTER}}StringOptional
exampleHeaderThis is the header{{ENABLE_HEADER}}StringOptional
allowTemplateCategoryChangeBoolean value. If True, Meta will automatically update the template category as per the template content. The default value is False.{{ALLOW_TEMPLATE_CATEGORY_CHANGE}}true/falseOptional
appIdApp ID to fetch the access token{{APP_ID}}StringRequired

The Id should be a valid app Id of Gupshup

The App must be associated with the account that owns the PARTNER_APP_TOKEN being used

Sample Request

curl --location --request POST 'https://partner.gupshup.io/partner/app/{{APP_ID}}/templates' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'elementName=automation_template_439231' \
--data-urlencode 'languageCode=en' \
--data-urlencode 'content=Dear Customer, Here are our products. \nThanks for shopping with us' \
--data-urlencode 'category=MARKETING' \
--data-urlencode 'vertical=Internal_vertical' \
--data-urlencode 'templateType=PRODUCT' \
--data-urlencode 'example=Dear Customer, Here are our products. \nThanks for shopping with us' \
--data-urlencode 'allowTemplateCategoryChange=true' \
--data-urlencode 'enableSample=false' \
--data-urlencode 'exampleHeader=Hi All' \
--data-urlencode 'header=Hi All' \
--data-urlencode 'footer=This is footer'

Sample Response

{
    "status": "success",
    "template": {
        "appId": "a41b30f4-d202-4fdb-911e-3a8fbfbfb797",
        "buttonSupported": "MPM",
        "category": "MARKETING",
        "containerMeta": "{\"appId\":\"a41b30f4-d202-4fdb-911e-3a8fbfbfb797\",\"data\":\"Dear Customer, Here are our products. \\\\nThanks for shopping with us\",\"buttons\":[{\"type\":\"MPM\",\"text\":\"View items\"}],\"header\":\"Hi All\",\"footer\":\"This is footer\",\"sampleText\":\"Dear Customer, Here are our products. \\\\nThanks for shopping with us\",\"sampleHeader\":\"Hi All\",\"enableSample\":true,\"editTemplate\":false,\"allowTemplateCategoryChange\":true,\"addSecurityRecommendation\":false}",
        "createdOn": 1710799689011,
        "data": "Hi All\nDear Customer, Here are our products. \\nThanks for shopping with us\nThis is footer | [View items]",
        "elementName": "automation_template_439231",
        "id": "1f7871fc-2933-41dd-8f67-ab2a75f055fa",
        "languageCode": "en",
        "languagePolicy": "deterministic",
        "meta": "{\"example\":\"Dear Customer, Here are our products. \\\\nThanks for shopping with us\"}",
        "modifiedOn": 1710799689011,
        "namespace": "9c7fe92f_2a48_40ec_83d0_69c62a772433",
        "priority": 1,
        "quality": "UNKNOWN",
        "retry": 0,
        "stage": "NONE",
        "status": "PENDING",
        "templateType": "PRODUCT",
        "vertical": "Internal_vertical",
        "wabaId": "104505526065633"
    }
}

Status Codes

Status CodeResponseComment
Success
200{
"status":"success",
"template":{
"appId":"a41b30f4-d202-4fdb-911e-3a8fbfbfb797",
"buttonSupported":"MPM",
"category":"MARKETING",
"containerMeta":"\{\"appId\":\"a41b30f4-d202-4fdb-911e-3a8fbfbfb797\",\"data\":\"Dear Customer, Here are our products. \\\\nThanks for shopping with us\",\"buttons\":[\{\"type\":\"MPM\",\"text\":\"View items\"}][{\\"type\\":\\"MPM\\",\\"text\\":\\"View items\\"}],\"header\":\"Hi All\",\"footer\":\"This is footer\",\"sampleText\":\"Dear Customer, Here are our products. \\\\nThanks for shopping with us\",\"sampleHeader\":\"Hi All\",\"enableSample\":true,\"editTemplate\":false,\"allowTemplateCategoryChange\":true,\"addSecurityRecommendation\":false}",\
"createdOn":1710799689011,
"data":"Hi All\nDear Customer, Here are our products. \nThanks for shopping with us\nThis is footer | [View items]",
"elementName":"automation_template_439231",
"id":"1f7871fc-2933-41dd-8f67-ab2a75f055fa",
"languageCode":"en",
"languagePolicy":"deterministic",
"meta":"{"example":"Dear Customer, Here are our products. \\nThanks for shopping with us"}",
"modifiedOn":1710799689011,
"namespace":"9c7fe92f_2a48_40ec_83d0_69c62a772433",
"priority":1,
"quality":"UNKNOWN",
"retry":0,
"stage":"NONE",
"status":"PENDING",
"templateType":"PRODUCT",
"vertical":"Internal_vertical",
"wabaId":"104505526065633"
}
}
Error
429{ "status": "error", "message": "Too Many Requests" }10 Requests per Minute
500{ "status": "error", "message": "Internal server error. Please try again later and If Issue still persist than contact Gupshup Dev Support" }For any Internal Error
Path Params
string
required

Unique identifier of the app.

Form Data
string
required

The name of a template. Element name is unique for a WABAs namespace.

string

Language code for the template. Refer to all the language codes here.

string
required

The body of the template. Character limit: 1028. For Authentication category the first line should be - {{1}} is your verification code

string
required

The category of your template. Possible Values: AUTHENTICATION, MARKETING and UTILITY. If you submit the templates with the any other categories, you will receive an error Invalid category provided, kindly use category from these option AUTHENTICATION, MARKETING, UTILITY

string
required

vertical (not more than 180 char.)

string
required

Type of Template

string
required

Template Example

boolean

Boolean value. If True, Meta will automatically update the category of the template as per the template content. Default value is False

string

This is the header

string

Header of the Template

string
boolean

Boolean value

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json